data merge storage healthbar {installed:1b}

# --------------------------------------------------------------------------------- #

# Uninstall the old version if detected
scoreboard objectives remove Settings
scoreboard objectives remove Health
scoreboard objectives remove HealthOld
scoreboard objectives remove Temp

# --------------------------------------------------------------------------------- #

# Set the default settings
scoreboard objectives add HB.settings trigger
scoreboard players enable @a HB.settings

scoreboard objectives add HB.temp dummy
scoreboard objectives add HB.damage custom:minecraft.damage_dealt
scoreboard objectives add HB.old_health dummy

scoreboard objectives add HB.health health {"text":"❤","color":"red"}

execute unless score #damage_indicator HB.settings matches 0..1 run scoreboard players set #damage_indicator HB.settings 1
execute unless score #hostile_healthbar HB.settings matches 0..1 run scoreboard players set #hostile_healthbar HB.settings 1
execute unless score #passive_healthbar HB.settings matches 0..1 run scoreboard players set #passive_healthbar HB.settings 1
execute unless score #player_healthbar HB.settings matches 0..1 run scoreboard players set #player_healthbar HB.settings 1

execute unless entity @e[type=text_display, tag=HealthDisplay] run forceload add 0 0
execute unless entity @e[type=text_display, tag=HealthDisplay] run summon text_display 0 -60 0 {alignment:"center", Tags:["HealthDisplay"]}

# --------------------------------------------------------------------------------- #

# Show settings menu
execute as @a run function healthbar:settings/open